## Changelog

### Modified
- ### Changelog

- **CI/CD Configuration Update**: General maintenance was performed on the `publish.yaml` workflow configuration. No significant changes were introduced, ensuring continued reliability and performance of the CI/CD pipeline. (File: github/workflows/publish.yaml)
- ### Changelog Entry

- **CI Workflow Update**: Renamed the GitHub Actions workflow from "unittests" to "tests" for better clarity and consistency with other workflows. This change reflects the broader scope of tests that this workflow may include. (File: .github/workflows/tests.yaml)
- ## Changelog

### Version 2024.2.1

- **Version Update**: Incremented package version from `2024.2.0` to `2024.2.1`.

- **Packaging**: Included additional files in the package distribution:
  - `README.md`: Providing an overview and usage instructions for the package.
  - `LICENSE`: Specifying the licensing terms for the package.

- **Documentation**:
  - Updated the logo image source in the `README.md` to use an absolute URL, improving accessibility.
  - Added badges for Python version compatibility, PyPI version, testing status, code coverage, deployment status, and publishing status. These enhancements improve the visibility of important project metrics.
  - Refined the visual presentation by centering content and adding details on supported Python versions to the `README.md`.

- **CI/CD Enhancements**:
  - Updated the GitHub Actions workflow configuration:
    - Renamed the test workflow from "Run Tests" to "unittests" in `.github/workflows/tests.yaml` for clarity. (File: CHANGELOG.md)
- ### Changelog Entry for USCodeKit

#### Documentation Update

- **README.md**: Updated the format of the "Docs" section to ensure consistency in link presentation by using a simplified URL syntax for the Hosted Docs link. This improves the readability of the README file. (File: README.md)
